<?php

namespace App\Models;

enum InstagramNotificationType: string
{
    case LIKE = 'LIKE';
    case COMMENT = 'COMMENT';
    case FOLLOW = 'FOLLOW';
    case MESSAGE = 'MESSAGE';
    case SYSTEM = 'SYSTEM'; // System message like congratulatory messages or updates
    case MENTION = 'MENTION';
    case OTHER = 'OTHER'; // Uncategorized or unclassified notifications
}
